Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ParticleEffect Class Reference

Inherits pandac::PandaModules::NodePath.

List of all members.

## Public Member Functions
def | __init__
def | accelerate
def | addForce
def | addForceGroup
def | addParticles
def | cleanup
def | clearToInitial
def | disable
def | enable
def | getForceGroupDict
def | getForceGroupList
def | getForceGroupNamed
def | getName
def | getParticlesDict
def | getParticlesList
def | getParticlesNamed
def | isEnabled
def | loadConfig
def | removeAllForces
def | removeAllParticles
def | removeForce
def | removeForceGroup
def | removeParticles
def | reset
def | saveConfig
def | softStart
def | softStop
def | start
## Public Attributes
| fEnabled
| forceGroupDict
| name
| particlesDict
| renderParent
## Static Public Attributes
tuple | notify = DirectNotifyGlobal.directNotify.newCategory('ParticleEffect')
int | pid = 1

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name = `None`,
|  |  | particles = `None`
| ) |  |

## Member Function Documentation

def accelerate | ( |  | self,
|  |  | time,
|  |  | stepCount = `1`,
|  |  | stepTime = `0.0`
| ) |  |

def addForce | ( |  | self,
|  |  | force
| ) |  |

def addForceGroup | ( |  | self,
|  |  | forceGroup
| ) |  |

def addParticles | ( |  | self,
|  |  | particles
| ) |  |

def cleanup | ( |  | self | ) |

def clearToInitial | ( |  | self | ) |

def disable | ( |  | self | ) |

def enable | ( |  | self | ) |

def getForceGroupDict | ( |  | self | ) |

def getForceGroupList | ( |  | self | ) |

def getForceGroupNamed | ( |  | self,
|  |  | name
| ) |  |

def getName | ( |  | self | ) |

def getParticlesDict | ( |  | self | ) |

def getParticlesList | ( |  | self | ) |

def getParticlesNamed | ( |  | self,
|  |  | name
| ) |  |

def isEnabled | ( |  | self | ) |

    Note: this may be misleading if enable(), disable() not used

def loadConfig | ( |  | self,
|  |  | filename
| ) |  |

def removeAllForces | ( |  | self | ) |

def removeAllParticles | ( |  | self | ) |

def removeForce | ( |  | self,
|  |  | force
| ) |  |

def removeForceGroup | ( |  | self,
|  |  | forceGroup
| ) |  |

def removeParticles | ( |  | self,
|  |  | particles
| ) |  |

def reset | ( |  | self | ) |

def saveConfig | ( |  | self,
|  |  | filename
| ) |  |

def softStart | ( |  | self | ) |

def softStop | ( |  | self | ) |

def start | ( |  | self,
|  |  | parent = `None`,
|  |  | renderParent = `None`
| ) |  |

## Member Data Documentation

fEnabled

forceGroupDict

name

tuple notify = DirectNotifyGlobal.directNotify.newCategory('ParticleEffect')`[static]`

particlesDict

int pid = 1`[static]`

renderParent

All Classes Namespaces Functions Variables Enumerations Enumerator Properties